LLDIV(3)

NAME
lldiv - returns quotient and remainder

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
lldiv_t
lldiv(long long numer, long long denom);

DESCRIPTION
The lldiv() function computes the value of numer (numerator) divided by denom (denominator) and returns the stored result in the form of the lldiv_t type.

The lldiv_t type is defined as:

    typedef struct {
    	long long quot; /* Quotient. */
    	long long rem;  /* Remainder. */
    } lldiv_t;

SEE ALSO
div(3), imaxdiv(3), ldiv(3), math(3)

STANDARDS
The lldiv() function conforms to isoC-99.

HISTORY
The lldiv() function first appeared in FreeBSD 5.0.